Up

# NSFileCoordinator documentation

### Authors

Gregory Casamento (`greg.casamento@gmail.com`)
Daniel Ferreira

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSFileAccessIntent class
2. Software documentation for the NSFileCoordinator class

# Software documentation for the NSFileAccessIntent class

## NSFileAccessIntent : NSObject

> Declared in:
>   Foundation/NSFileCoordinator.h

Availability: MacOS-X 10.7.0
Description forthcoming.

Instance Variables
Method summary

- +readingIntentWithURL:options:
- +writingIntentWithURL:options:
- -URL

### readingIntentWithURL: options:

+ (instancetype) readingIntentWithURL: (NSURL*)url options: (NSFileCoordinatorReadingOptions)options;
Availability: MacOS-X 10.7.0
Description forthcoming.

### writingIntentWithURL: options:

+ (instancetype) writingIntentWithURL: (NSURL*)url options: (NSFileCoordinatorWritingOptions)options;
Availability: MacOS-X 10.7.0
Description forthcoming.

### URL

- (NSURL*) URL;
Availability: MacOS-X 10.7.0
Description forthcoming.

## Instance Variables for NSFileAccessIntent Class

### _isRead

@protected BOOL _isRead;
Availability: MacOS-X 10.7.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _options

@protected NSInteger _options;
Availability: MacOS-X 10.7.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _url

@protected NSURL* _url;
Availability: MacOS-X 10.7.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSFileCoordinator class

## NSFileCoordinator : NSObject

> Declared in:
>   Foundation/NSFileCoordinator.h

Availability: MacOS-X 10.7.0
Description forthcoming.

Instance Variables
Method summary

- +filePresenters
- -cancel
- -coordinateAccessWithIntents:queue:byAccessor:
- -coordinateReadingItemAtURL:options:error:byAccessor:
- -coordinateReadingItemAtURL:options:writingItemAtURL:options:error:byAccessor:
- -coordinateWritingItemAtURL:options:error:byAccessor:
- -coordinateWritingItemAtURL:options:writingItemAtURL:options:error:byAccessor:
- -itemAtURL:didChangeUbiquityAttributes:
- -itemAtURL:didMoveToURL:
- -itemAtURL:willMoveToURL:
- -prepareForReadingItemsAtURLs:options:writingItemsAtURLs:options:error:byAccessor:
- -purposeIdentifier
- -setPurposeIdentifier:

### filePresenters

+ (NSArray*) filePresenters;
Availability: MacOS-X 10.7.0
Description forthcoming.

### cancel

- (void) cancel;
Availability: MacOS-X 10.7.0
Description forthcoming.

### coordinateAccessWithIntents: queue: byAccessor:

- (void) coordinateAccessWithIntents: (NSArray*)intents queue: (NSOperationQueue*)queue byAccessor: (GSAccessorCallbackHandler)accessor;
Availability: MacOS-X 10.7.0
Description forthcoming.

### coordinateReadingItemAtURL: options: error: byAccessor:

- (void) coordinateReadingItemAtURL: (NSURL*)url options: (NSFileCoordinatorReadingOptions)options error: (NSError**)outError byAccessor: (GSNoEscapeNewURLHandler)reader;
Availability: MacOS-X 10.7.0
Description forthcoming.

### coordinateReadingItemAtURL: options: writingItemAtURL: options: error: byAccessor:

- (void) coordinateReadingItemAtURL: (NSURL*)readingURL options: (NSFileCoordinatorReadingOptions)readingOptions writingItemAtURL: (NSURL*)writingURL options: (NSFileCoordinatorWritingOptions)writingOptions error: (NSError**)outError byAccessor: (GSNoEscapeReadWriteHandler)readerWriter;
Availability: MacOS-X 10.7.0
Description forthcoming.

### coordinateWritingItemAtURL: options: error: byAccessor:

- (void) coordinateWritingItemAtURL: (NSURL*)url options: (NSFileCoordinatorWritingOptions)options error: (NSError**)outError byAccessor: (GSNoEscapeNewURLHandler)writer;
Availability: MacOS-X 10.7.0
Description forthcoming.

### coordinateWritingItemAtURL: options: writingItemAtURL: options: error: byAccessor:

- (void) coordinateWritingItemAtURL: (NSURL*)url1 options: (NSFileCoordinatorWritingOptions)options1 writingItemAtURL: (NSURL*)url2 options: (NSFileCoordinatorWritingOptions)options2 error: (NSError**)outError byAccessor: (GSDualWriteURLCallbackHandler)writer;
Availability: MacOS-X 10.7.0
Description forthcoming.

### itemAtURL: didChangeUbiquityAttributes:

- (void) itemAtURL: (NSURL*)url didChangeUbiquityAttributes: (NSSet*)attributes;
Availability: MacOS-X 10.7.0
Description forthcoming.

### itemAtURL: didMoveToURL:

- (void) itemAtURL: (NSURL*)oldURL didMoveToURL: (NSURL*)newURL;
Availability: MacOS-X 10.7.0
Description forthcoming.

### itemAtURL: willMoveToURL:

- (void) itemAtURL: (NSURL*)oldURL willMoveToURL: (NSURL*)newURL;
Availability: MacOS-X 10.7.0
Description forthcoming.

### prepareForReadingItemsAtURLs: options: writingItemsAtURLs: options: error: byAccessor:

- (void) prepareForReadingItemsAtURLs: (NSArray*)readingURLs options: (NSFileCoordinatorReadingOptions)readingOptions writingItemsAtURLs: (NSArray*)writingURLs options: (NSFileCoordinatorWritingOptions)writingOptions error: (NSError**)outError byAccessor: (GSBatchAccessorCompositeBlock)batchAccessor;
Availability: MacOS-X 10.7.0
Description forthcoming.

### purposeIdentifier

- (NSString*) purposeIdentifier;
Availability: MacOS-X 10.7.0
Description forthcoming.

### setPurposeIdentifier:

- (void) setPurposeIdentifier: (NSString*)ident;
Availability: MacOS-X 10.7.0
Description forthcoming.

## Instance Variables for NSFileCoordinator Class

### _isCancelled

@protected BOOL _isCancelled;
Availability: MacOS-X 10.7.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _purposeIdentifier

@protected id _purposeIdentifier;
Availability: MacOS-X 10.7.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up